libcurses-perl (1.44-1) unstable; urgency=medium

  * Import upstream version 1.44.
  * Build-Depend on libncurses-dev instead of the transitional libncursesw5-dev.

 -- gregor herrmann <gregoa@debian.org>  Sun, 11 Jun 2023 21:29:08 +0200

libcurses-perl (1.43-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.2, no changes needed.

  [ gregor herrmann ]
  * Import upstream version 1.43.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Sun, 15 Jan 2023 01:22:08 +0100

libcurses-perl (1.41-1) unstable; urgency=medium

  * Import upstream version 1.41.
  * debian/rules: drop override_dh_installchangelogs.
    We now have a ChangeLog file.

 -- gregor herrmann <gregoa@debian.org>  Sun, 21 Aug 2022 16:20:38 +0200

libcurses-perl (1.39-1) unstable; urgency=medium

  * Import upstream version 1.39.
  * Update copyright holders for debian/*.
  * Declare compliance with Debian Policy 4.6.1.

 -- gregor herrmann <gregoa@debian.org>  Wed, 17 Aug 2022 20:43:45 +0200

libcurses-perl (1.38-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.5.1, no changes needed.

  [ gregor herrmann ]
  * Import upstream version 1.38.
  * Drop pod-encoding.patch, fixed upstream.
  * Declare compliance with Debian Policy 4.6.0.

 -- gregor herrmann <gregoa@debian.org>  Sun, 26 Sep 2021 15:29:39 +0200

libcurses-perl (1.37-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

  [ gregor herrmann ]
  * debian/control: update Build-Depends for cross builds.
  * debian/watch: use uscan version 4.
  * Import upstream version 1.37.
  * Refresh pod-encoding.patch.
  * debian/copyright: refresh license blurbs.
  * Declare compliance with Debian Policy 4.5.0.
  * Set Rules-Requires-Root: no.
  * Bump debhelper-compat to 13.
  * Fix hashbang in example script.

 -- gregor herrmann <gregoa@debian.org>  Tue, 06 Oct 2020 23:38:01 +0200

libcurses-perl (1.36-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Remove Jay Bonci from Uploaders. Thanks for your work!
  * Remove Ryan Niebur from Uploaders. Thanks for your work!

  [ Axel Beckert ]
  * Import upstream version 1.36
    + Fixes FTBFS on GNU Hurd. Thanks Pino Toscano! (Closes: #749911)
    + Drop patch with previous, now outdated GNU Hurd fixes.
  * Add myself to Uploaders.

 -- Axel Beckert <abe@debian.org>  Sun, 21 Aug 2016 16:39:32 +0200

libcurses-perl (1.34-1) unstable; urgency=medium

  * Team upload.

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI
  * debian/control: Remove Franck Joncourt from Uploaders.
    Thanks to Tobias Frost (Closes: #831290)

  [ gregor herrmann ]
  * Change bugtracker URL(s) to HTTPS.
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Axel Beckert ]
  * Add debian/upstream/metadata
  * Import upstream version 1.34
  * Declare compliance with Debian Policy 3.9.8. (No changes needed.)
  * Enable all hardening flags.

 -- Axel Beckert <abe@debian.org>  Tue, 09 Aug 2016 23:06:43 +0200

libcurses-perl (1.33-1) unstable; urgency=medium

  * Team upload

  * Import upstream version 1.33
  * Fix lintian warnings dep5-copyright-license-name-not-unique and
    missing-license-paragraph-in-dep5-copyright by adding a "Comment:"
    header before the meta-license ("… same terms as Perl …").
  * Declare package aus autopkgtestable.

 -- Axel Beckert <abe@debian.org>  Fri, 09 Oct 2015 22:36:24 +0200

libcurses-perl (1.32-1) unstable; urgency=medium

  * Team upload

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ Axel Beckert ]
  * Import new upstream release
    + Drop one patch and two hunks which were applied upstream
  * Bump Standards-Version to 3.9.6 (no changes needed)

 -- Axel Beckert <abe@debian.org>  Thu, 25 Sep 2014 00:49:12 +0200

libcurses-perl (1.31-1) unstable; urgency=medium

  [ gregor herrmann ]
  * debian/rules: remove unused variable, drop parameter which debhelper
    passes by default.

  [ Damyan Ivanov ]
  * Imported Upstream version 1.31
  * refresh t_upstream_spelling.diff to apply cleanly
  * forward t_upstream_spelling.diff upstream
  * add a patch fixing encoding issues in Curses.pm POD
  * add two new files to debian/copyright
  * declare conformance with Policy 3.9.5 (no changes needed)

 -- Damyan Ivanov <dmn@debian.org>  Wed, 21 May 2014 12:00:22 +0300

libcurses-perl (1.28-2) unstable; urgency=medium

  * Team upload.

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Axel Beckert ]
  * debian/copyright: migrate pre-1.0 format to 1.0 using "cme fix dpkg-
    copyright"

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ intrigeri ]
  * Bump debhelper compat level to 9.
  * Adjust versioned Build-Depends on debhelper to (>= 9.20120312~)
    to get hardening build flags.
  * Reformat debian/control with cme fix dpkg.
  * Link to the versioned GPL-1 symlink in /usr/share/common-licenses.
  * Don't override dh_auto_configure, to get hardening build flags.

 -- intrigeri <intrigeri@debian.org>  Sun, 09 Mar 2014 02:39:23 +0100

libcurses-perl (1.28-1) unstable; urgency=low

  [ Ryan Niebur ]
  * Update ryan52's email address

  [ Franck Joncourt ]
  * New upstream release.
  * Add /me as Uploader.
  * Switch to dpkg-source 3.0 (quilt) format:
    + Removed useless README.source file which only documented the usage of
      quilt.
    + Removed BD on quilt.
    + Removed debhelper option (--with-quilt).
  * Updated BD:
    + Use of the override_dh targets requires at least debhelper (>= 7.0.50).
    + Relaxed versionned dependency on perl (>= 5.8) since oldstable has
      5.8.8.
  * Bumped up Standards-Version to 3.8.4 (no changes).
  * Added patch t_upstream_spelling.diff to fix a spelling error.

 -- Franck Joncourt <franck@debian.org>  Thu, 28 Jan 2010 21:06:25 +0100

libcurses-perl (1.27-2) unstable; urgency=low

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ Ryan Niebur ]
  * patch from Barry deFreese to fix build on Hurd (Closes: #533698)
  * Add myself to Uploaders
  * Debian Policy 3.8.2
  * update d/rules format a bit

 -- Ryan Niebur <ryanryan52@gmail.com>  Sun, 21 Jun 2009 20:27:26 -0700

libcurses-perl (1.27-1) unstable; urgency=low

  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Sat, 24 Jan 2009 02:23:45 +0100

libcurses-perl (1.26-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - switch Vcs-Browser field to ViewSVN
    - add ${misc:Depends} to Depends: field
    - change my email address
  * Set debhelper compatibility level to 7; adapt
    debian/{control,compat,rules}.
  * debian/copyright: update formatting.

 -- gregor herrmann <gregoa@debian.org>  Mon, 05 Jan 2009 15:56:32 +0100

libcurses-perl (1.24-1) unstable; urgency=low

  * New upstream release
  * Added myself as an uploader
  * Standards-version -> 3.8.0 (no changes)

 -- Gunnar Wolf <gwolf@debian.org>  Thu, 11 Sep 2008 22:48:18 -0500

libcurses-perl (1.23-1) unstable; urgency=low

  [ Roberto C. Sanchez ]
  * New upstream release.

  [ David Paleino ]
  * debian/control: removed myself from Uploaders

 -- Roberto C. Sanchez <roberto@debian.org>  Sat, 15 Mar 2008 23:09:06 -0400

libcurses-perl (1.21-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: extend regexp for matching upstream releases.
  * Drop patch 01-add_GNU-kFreeBSD.patch (now included in upstream
    Makefile.PL) and quilt framework accordingly.
  * Run $(PERL) Makefile.PL in debian/rules's clean target if Makefile
    exists, otherwise clean fails.
  * Remove debian/dirs, the necessary directories are created my $(MAKE)
    install anyway.
  * Set debhelper compatibility level to 6.
  * Remove debian/libcurses-perl.examples and install examples directly from
    debian/rules.
  * debian/copyright: add additional copyright holders and convert to new
    format.
  * Install HISTORY as upstream changelog.
  * Install upstream README file which contains a few hints.
  * debian/rules: move dh_clean before make distclean.
  * Add /me to Uploaders.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Sun, 17 Feb 2008 02:28:17 +0100

libcurses-perl (1.20-2) unstable; urgency=low

  [ gregor herrmann ]
  * debian/rules: delete /usr/share/perl5 only if it exists.

  [ Niko Tyni ]
  * Fix the 'clean' target, it didn't work when Makefile.PL got unpatched.
  * Build with wide character support from libncursesw5. (Closes: #462773)
    + no 'form.h problem' anymore, so include FORMS support again.
      (Closes: #462775)
  * Remove control and description references to perl-curses, as the rename
    was over ten years ago.
  * Small debian/rules enhancements.
  * Re-add David in the Uploaders field.

 -- Niko Tyni <ntyni@debian.org>  Sun, 10 Feb 2008 22:16:16 +0200

libcurses-perl (1.20-1) unstable; urgency=low

  [ David Paleino ]
  * New upstream release
  * debian/rules:
    - don't ignore the return value of $(MAKE) clean
    - updated to use quilt patch system
  * debian/control:
    - added myself to Uploaders
    - updating Standards-Version to 3.7.3
    - adding quilt to Build-Depends
  * debian/patches:
    - 01-add_GNU-kFreeBSD.patch added (Closes: #416459)
  * the use of libncursesw instead of libncurses, when available,
    was already implemented in 1.16 in August 2007. (Closes: #346476)

  [ gregor herrmann ]
  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza); Homepage field (source stanza).
  * Set Maintainer to Debian Perl Group.
  * Use dist-based URL in debian/watch.

  [ Damyan Ivanov ]
  * Note 01-add_GNU-kFreeBSD.patch is forwarded upstream
  * More debian/rules cleanup
    + move $(MAKE) and $(MAKE) test to build target
    + use DESTDIR and PREFIX when installing
    + use distclean instead of clean; no need to remove Makefile.old
    + drop unused dh_installman and dh_link
    + add dh_shlibdeps call
    + support noopt in DEB_BUILD_OPTIONS
  * Bump debhelper compatibility level to 5; adjust build-dependency
    accordingly
  Put me in Uploaders instead of David

 -- Damyan Ivanov <dmn@debian.org>  Mon, 17 Dec 2007 22:46:14 +0200

libcurses-perl (1.13-1) unstable; urgency=low

  * New upstream release (Closes: #338211)
  * Policy version bump (No other changes)
  * Hardcoded path instead of regexp on pwd (which may have been causing buildd issues)

 -- Jay Bonci <jaybonci@debian.org>  Sun, 11 Dec 2005 23:59:14 -0500

libcurses-perl (1.12-1) unstable; urgency=low

  * New upstream release

 -- Jay Bonci <jaybonci@debian.org>  Tue,  7 Jun 2005 10:49:09 -0400

libcurses-perl (1.11-1) unstable; urgency=low

  * New upstream version
  * Updated debian/watch file

 -- Jay Bonci <jaybonci@debian.org>  Thu, 17 Mar 2005 01:32:05 -0500

libcurses-perl (1.08b-1) unstable; urgency=low

  * New upstream version (Closes: #285525)
  * Adds MENU support
  * Updated debian/watch to find new, more liberal filename

 -- Jay Bonci <jaybonci@debian.org>  Tue, 28 Dec 2004 18:49:53 -0500

libcurses-perl (1.06-11) unstable; urgency=low

  * Adds debian/watch so uscan will actually work
  * Adds download URL to copyright. (Closes: #241730)
  * Adds PANELS support per INSTALL file (Closes: #252057)

 -- Jay Bonci <jaybonci@debian.org>  Sun, 12 Sep 2004 02:47:42 -0400

libcurses-perl (1.06-10) unstable; urgency=low

  * Fixes FTBFS. binary-arch vs. binary-all (Closes: #234957)

 -- Jay Bonci <jaybonci@debian.org>  Sat, 28 Feb 2004 17:16:10 -0500

libcurses-perl (1.06-9) unstable; urgency=low

  * New maintainer (Closes: #233664)
  * Updated debian/rules file to match my standard rules template
  * Added debian/compat file per debhelper best practices
  * Moved demo files to being installed via dh_installexamples
  * Change perl location to be /usr/bin/perl in all files (Closes: #230145)
  * Policy version bump to 3.6.1.0
  * Changed section to perl
  * Changed priority to optional
  * Removed dependancy on debmake
  * Bumped debhelper dependancy to (>= 4.0)
  * Removed bad =over 4 section in POD (Curses.pm)
  * Removed bad external link error in POD (Curses.pm)

 -- Jay Bonci <jaybonci@debian.org>  Tue, 24 Feb 2004 15:57:00 -0500

libcurses-perl (1.06-8) unstable; urgency=low

  * Orphan this package

 -- Igor Genibel <igenibel@debian.org>  Thu, 19 Feb 2004 11:18:47 +0100

libcurses-perl (1.06-7) unstable; urgency=low

  * New Maintainer (Closes: #206098)
  * Fix MENU FORMS support (Closes: #186128)
  * Bumped to Standards 3.6.0 some changes in control and rules file
  * Make the package lintian clean

 -- Igor Genibel <igenibel@debian.org>  Tue, 19 Aug 2003 10:06:09 +0200

libcurses-perl (1.06-6) unstable; urgency=low

  * Orphaning this package.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 18 Aug 2003 14:19:03 -0500

libcurses-perl (1.06-5) unstable; urgency=low

  * Rebuilt to get new Perl deps.  Closes: #176714.

 -- John Goerzen <jgoerzen@complete.org>  Wed,  5 Feb 2003 15:06:07 -0600

libcurses-perl (1.06-4) unstable; urgency=low

  * Work around gcc weirdness on hppa using patch from LaMont Jones.
    Closes: #160527.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 15 Oct 2002 13:09:50 -0500

libcurses-perl (1.06-3) unstable; urgency=low

  * Added pointer to Artistic license.  Closes: #157562.
  * Includes more demos now.
  * Explicitly specifies includes and libs with patch from
    #143118.  Closes: #143118.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 15 Oct 2002 09:22:44 -0500

libcurses-perl (1.06-2.1) unstable; urgency=low

  * NMU
  * Use PerlIO_FindFILE to fetch FILE* from PerlIO objects.
  * Build against perl 5.8.0.

 -- Brendan O'Dea <bod@debian.org>  Tue, 27 Aug 2002 22:09:54 +1000

libcurses-perl (1.06-2) unstable; urgency=low

  * Added build-dep on debhelper.  Closes: #133635.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 13 Feb 2002 09:19:59 -0500

libcurses-perl (1.06-1) unstable; urgency=low

  * New upstream release.
  * Added build-depends on libncurses5-dev and debmake.  Closes: #89751.
  * Applied patch from Marcus Brinkmann
    <Marcus.Brinkmann@ruhr-uni-bochum.de> to build on Hurd.
    Closes: #105560.
  * Fixed path to perl in demo.  Closes: #111054.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 12 Feb 2002 08:23:55 -0500

libcurses-perl (1.05-2) unstable; urgency=low

  * Fixed a Makefile.PL bug that caused things to be placed
    in /usr/local.  Thanks to Colin Watson for the patch in 88937.
    Closes: #88937.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 13 Mar 2001 10:44:05 -0500

libcurses-perl (1.05-1) unstable; urgency=low

  * New upstream release.  Closes: #85756, #83461, #85256.
  * Rebuilt with Perl 5.6.  Closes: #80720.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 22 Feb 2001 11:46:29 -0500

libcurses-perl (1.02-3) unstable; urgency=low

  * Update to standards-version 3.0.1
  * Update to FHS.
  * Old bug fixed.  Closes: #41520.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 22 Sep 1999 08:54:22 -0500

libcurses-perl (1.02-2.1) unstable; urgency=low

  * NMU for the perl upgrade. Closes: #41520
  * Corrected the rules files to conform with perl policy 1.0.1
  * Compiled with perl-5.005

 -- Raphael Hertzog <rhertzog@hrnet.fr>  Sun, 18 Jul 1999 22:42:26 +0200

libcurses-perl (1.02-2) unstable; urgency=low

  * Now linked with libncurses4 instead of ncurses3.4

 -- John Goerzen <jgoerzen@complete.org>  Sat, 31 Oct 1998 15:33:01 -0600

libcurses-perl (1.02-1) unstable; urgency=low

  * New upstream release
  * Now properly builds, without an ugly hack to the Makefile.
    Fixes bug #16714.
  * Rebuilt with an updated debmake, fixing bug #19350.
    Other comments regarding that bug report (lintian-generated):
    * Standards-version has been updated

 -- John Goerzen <jgoerzen@complete.org>  Fri, 13 Mar 1998 21:38:50 -0600

libcurses-perl (1.01-1) unstable; urgency=low

  * Recompiled for libc6 and Perl 5.004.  Fixes bug #15177
  * No longer installs a perllocal.pod.  Documentation is in
    /usr/man/man3/Curses.3pm.gz.  Fixes bugs #12749, #12846
  * Package has been renamed from perl-curses to libcurses-perl to
    comply with informal standard.  Fixes bug #11028.
  * Enhanced debian/rules's clean target

 -- John Goerzen <jgoerzen@complete.org>  Sun, 28 Dec 1997 14:25:51 -0600

perl-curses (1.01-1) unstable; urgency=low

  * Initial Release.
  * This is the Curses module from CPAN.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 2 Jun 1997 12:02:47 -0500
